Issue Description

When deploying a package containing SharePoint artifacts and selecting the Use Existing option on SmartObjects, attempting to access the deployed K2 application results in an error.

Error Message

The following message will display when attempting to open the K2 application:

Image

Resolution

  1. Ensure you have K2 Five (5.1) installed.
  2. Get the K2 Five (5.1) FP5 from Regional Support.
  3. Install the K2 Five (5.1) FP5 to apply the fix.
  4. It is recommended to refresh the browser cache.
  5. For broken SharePoint collateral that has been deployed, a redeploy is required of the entire solution, selecting Use Existing again.